IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fdt_alta_ciudades_pago]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fdt_alta_ciudades_pago
GO
CREATE PROCEDURE dbo.sp_fdt_alta_ciudades_pago
(
    @pch_ciudad char(2),
    @pch_nombre varchar(100)
)
AS
--OCT-02-05: DCR, Pasada a SQL de Oracle
BEGIN

		IF EXISTS(SELECT 1 FROM fdt_ciudades_pago
		    			WHERE ciudad = @pch_ciudad)
				UPDATE fdt_ciudades_pago
				SET nombre = @pch_nombre
				WHERE ciudad = @pch_ciudad
    ELSE
		    INSERT INTO fdt_ciudades_pago (ciudad, nombre)
		    VALUES (@pch_ciudad, @pch_nombre)

END
GO
GRANT EXECUTE ON sp_fdt_alta_ciudades_pago TO Public
GO